Subject: bug#23695: 25.0.94; todo-mode breaks minibuffer-complete-word

From: Stephen Berman <[email-masked]>
Date: Fri, 10 Jun 2016 11:28:14 +0200

On Sun, 05 Jun 2016 11:18:46 +0200 Stephen Berman <[email-masked]> wrote:

> 0. emacs -Q
> 1. Sanity check: Typing e.g. `C-h f url- SPC' should pop up a
>    *Completions* buffer showing functions beginning with "url-", since
>    SPC in the minibuffer is bound to minibuffer-complete-word.
> 2. C-g to exit the minibuffer, then, if you have no files made by
>    todo-mode (i.e. no directory ~/.emacs.d/todo), type `M-x todo-show
>    RET RET RET RET RET' (accepting defaults) to create a todo file with
>    a category and an entry.
> 3. Type `q' to quit todo-mode (optional) and redo step 1.
> => Upon typing SPC this time, instead of getting the *Completions*
>    buffer, a space is inserted in the minibuffer after "url-".
>
> If at step 2 you already have one or more todo-files, then invoking a
> number of todo-mode commands, e.g. `j' to jump to another category or
> `C a' to add a new category, will likewise globally change the effect of
> all subsequent uses of SPC in the minibuffer.
>
> The patch below fixes this.  I request approval to push this fix to
> emacs-25, since without it, todo-mode-specific behavior changes the
> minibuffer behavior in rest of Emacs.  Also, the fix is certainly safe,
> since it replaces naively implemented functionality by canonical code to
> temporarily change a minibuffer key binding.

Ping!  Any objections to pushing this fix to emacs-25?

Steve Berman